Skip to main content

Get Device softwares

GET 

/api/v1/device/:deviceId/softwares

This service message allows retrieval of all software on a process in a given device.

Request

Path Parameters

    deviceId stringrequired

Responses

Schema

    id stringrequired
    lastUpdatedDate date-time
    lastConnectionDate date-time
    name string
    OS string
    availableStorage string
    power number
    bandwidth number
    operativeState boolean
    metaData object
    groupName string
    groupId number
    uid number
    formations string[]
    platformName string
    deviceTypeName string
    devices string[]
    deviceParentId string
    deviceParentName string
    deviceParentUid number

    softwares

    object[]

    required

  • Array [

  • software

    object

    required

    id stringrequired
    version stringrequired
    projectName stringrequired
    releaseNotes string

    metadata

    object

    autoDeploy boolean

    Enable automatic deployment of this release

    postInstallAction

    object

    Post-installation action configuration

    type stringrequired

    Possible values: [NONE, WEB, EXE]

    Action type: NONE (no action), WEB (open URL), or EXE (run executable)

    url string

    URL to open (required when type is WEB)

    exePath string

    Executable path to run (required when type is EXE)

    installationSize integer

    Installation size in bytes - disk space required after installation (user-specified)

    totalSize integer

    Total size in bytes - automatically calculated as installationSize + artifactsSize

    status stringrequired

    Possible values: [draft, in_review, approved, released, archived]

    type stringrequired

    Possible values: [product, formation]

    size int64
    createdAt date-timerequired
    updatedAt date-timerequired
    latest boolean
    releasedAt date-time
    dependencies undefined[]

    policies

    object[]

    Policies associated with this release

  • Array [

  • id stringrequired

    Policy rule ID

    name stringrequired

    Policy name

    description string

    Policy description

    type stringrequired

    Possible values: [policy, restriction]

    Policy type

    association

    object

    releases

    object[]

    required

    Releases for this policy

  • Array [

  • projectId string

    Project ID

    projectName stringrequired

    Project name

    version stringrequired

    Release version

  • ]

  • version numberrequired

    Policy version number

    createdAt stringrequired

    Policy creation timestamp

    updatedAt stringrequired

    Policy last update timestamp

    isActive booleanrequired

    Whether the policy is active

    rule objectrequired

    The policy rule definition conforming to rule engine schema

  • ]

  • state string

    Possible values: [offering, push, delivery, downloaded, deleted, deploy, installed, uninstalled]

    downloadDate date-time
    deployDate date-time

    offering

    object[]

    required

  • Array [

  • id stringrequired
    version stringrequired
    projectName stringrequired
    releaseNotes string

    metadata

    object

    autoDeploy boolean

    Enable automatic deployment of this release

    postInstallAction

    object

    Post-installation action configuration

    type stringrequired

    Possible values: [NONE, WEB, EXE]

    Action type: NONE (no action), WEB (open URL), or EXE (run executable)

    url string

    URL to open (required when type is WEB)

    exePath string

    Executable path to run (required when type is EXE)

    installationSize integer

    Installation size in bytes - disk space required after installation (user-specified)

    totalSize integer

    Total size in bytes - automatically calculated as installationSize + artifactsSize

    status stringrequired

    Possible values: [draft, in_review, approved, released, archived]

    type stringrequired

    Possible values: [product, formation]

    size int64
    createdAt date-timerequired
    updatedAt date-timerequired
    latest boolean
    releasedAt date-time
    dependencies undefined[]

    policies

    object[]

    Policies associated with this release

  • Array [

  • id stringrequired

    Policy rule ID

    name stringrequired

    Policy name

    description string

    Policy description

    type stringrequired

    Possible values: [policy, restriction]

    Policy type

    association

    object

    releases

    object[]

    required

    Releases for this policy

  • Array [

  • projectId string

    Project ID

    projectName stringrequired

    Project name

    version stringrequired

    Release version

  • ]

  • version numberrequired

    Policy version number

    createdAt stringrequired

    Policy creation timestamp

    updatedAt stringrequired

    Policy last update timestamp

    isActive booleanrequired

    Whether the policy is active

    rule objectrequired

    The policy rule definition conforming to rule engine schema

  • ]

  • ]

  • error string
    isUnknown boolean

    Indicates if this version is unknown (not registered in getapp)

    action string

    Possible values: [offering, push]

    How this software was offered to the device. "offering" = automatically available, "push" = explicitly pushed by an admin. Undefined if the software was unpushed or was never directly offered/pushed to this device.

  • ]

Loading...